Bug 914749 (CVE-2013-1415)

Summary: CVE-2013-1415 krb5: PKINIT null pointer deref leads to DoS (pkinit_check_kdc_pkid())
Product: [Other] Security Response Reporter: Vincent Danen <vdanen>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: dpal, jlieskov, jplans, nalin, nathaniel
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20130215,reported=20130222,source=gentoo,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:N/A:P,rhel-5/krb5=notaffected,rhel-6/krb5=affected,fedora-all/krb5=affected,cwe=CWE-476[auto]
Fixed In Version: krb5-1.11.1, krb5-1.10.4, krb5-1.9.5 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-04-03 22:06:17 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 924620, 914756, 917909, 917910    
Bug Blocks: 914754    

Description Vincent Danen 2013-02-22 11:58:28 EST
It was reported that the KDC plugin for PKINIT could dereference a NULL pointer when a malformed packet caused processing to terminate early, which led to a crash of the KDC process.  An attacker would require a valid PKINIT certificate or have observed a successful PKINIT authentication to execute a successful attack.  In addition, an unauthenticated attacker could execute the attack of anonymouse PKINIT was enabled.

The PKINIT plugin was introduced in version 1.6.3; versions prior are not affected by this vulnerability.


External References:

http://krbdev.mit.edu/rt/Ticket/Display.html?id=7570
http://web.mit.edu/kerberos/krb5-1.11/


Statement:

This issue did not affect the versions of krb5 as shipped with Red Hat Enterprise Linux 5 as they did not include support for PKINIT.
Comment 1 Vincent Danen 2013-02-22 12:02:22 EST
Upstream fix is here:

https://github.com/krb5/krb5/commit/f249555301940c6df3a2cdda13b56b5674eebc2e

and it is fixed in upstream version 1.11.1.
Comment 2 Vincent Danen 2013-02-22 12:02:58 EST
Created krb5 tracking bugs for this issue

Affects: fedora-all [bug 914756]
Comment 6 Fedora Update System 2013-03-15 21:31:31 EDT
krb5-1.10.2-9.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 errata-xmlrpc 2013-03-18 14:04:30 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0656 https://rhn.redhat.com/errata/RHSA-2013-0656.html
Comment 8 Fedora Update System 2013-03-22 17:08:17 EDT
krb5-1.10.3-14.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Jan Lieskovsky 2013-04-29 04:30:20 EDT
Kerberos 5 release krb5-1.9.5 announcement:
  http://web.mit.edu/kerberos/krb5-1.9/krb5-1.9.5.html#announcement